from dolfin import *

# Reference for myassemble.py and myassemble_test.py

# Create mesh and define function space
mesh = UnitSquare(10, 10)
V = FunctionSpace(mesh, "CG", 1)
V2 = FunctionSpace(mesh, "CG", 2)

# Define variational problem
v = TestFunction(V)
u = TrialFunction(V)
#f = Function(V2, "sin(x[0])")
f = Expression("sin(x[0])")
a = (dot(grad(v), grad(u)) + u * v) * dx
L = v * f * dx

A = assemble(a)
b = assemble(L)

print A.array()
print b.array()

# Compute solution
problem = VariationalProblem(a, L)
u = problem.solve()

# Save solution in VTK format
file = File("Uref.pvd")
file << u
