from dolfin import *
from myassemble import *

# Define mesh
mesh = UnitSquare(10, 10)
mesh.init()

(A, b) = myassemble(mesh)

# Construct U function
V = FunctionSpace(mesh, "CG", 1)
U = Function(V)
xi = U.vector()

# Solve for xi
solver = LinearSolver()
solver.solve(A, xi, b)

# Save U function in VTK format
file = File("U.pvd")
file << U
